using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FtpClientCS
{
    public partial class DlgRenameFile : Form
    {
        private FormMain parentForm;
        private String fileName;

        public void SetParentForm(FormMain main)
        {
            this.parentForm = main;
        }

        public void SetFileName(String name)
        {
            this.fileName = name;            
        }

        public DlgRenameFile()
        {
            InitializeComponent();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btnRename_Click(object sender, EventArgs e)
        {
            if (!String.IsNullOrEmpty(txtNewName.Text))
            {
                this.parentForm.RenameFileHandler(fileName, txtNewName.Text);
                this.Close();
            }
        }

        private void DlgRenameFile_Load(object sender, EventArgs e)
        {
            this.lblNewName.Text = this.fileName;
            this.txtNewName.Text = this.fileName;
        }
    }
}