/*
 * Copyright 2010 KetLabs Ltd. All Rights Reserved.
 * KetLabs PROPRIETARY/CONFIDENTIAL. 
 *  */
using System;

using KetLabs.FTP;

namespace FtpCommandLineCS
{
    /// <summary>
    /// This example shows how to check if a remote file exists
    /// </summary>
    class FileExists
    {
        public static void Demo()
        {
            FtpClient ftp = new FtpClient();
            ftp.Username = Helper.USERNAME;
            ftp.Password = Helper.PASSWORD;
            ftp.Connect(Helper.HOST);

            bool exists = ftp.FileExists("test.txt");
            Console.WriteLine(exists);

            ftp.Disconnect();
        }
    }
}
