/*
 * Copyright 2010 KetLabs Ltd. All Rights Reserved.
 * KetLabs PROPRIETARY/CONFIDENTIAL. 
 *  */
using System;

using KetLabs.FTP;

namespace FtpCommandLineCS
{
    /// <summary>
    /// This example demonstrates how to list the contents of a specific remote directory
    /// </summary>
    class ListDirectory
    {
        public static void Demo()
        {
            FtpClient ftp = new FtpClient();
            ftp.Username = Helper.USERNAME;
            ftp.Password = Helper.PASSWORD;
            ftp.Connect(Helper.HOST);

            FtpFileInfo[] files = ftp.ListDirectory("remote_dir");
            Helper.Print(files);

            ftp.Disconnect();
        }
    }
}
