using System;
using System.Collections.Generic;
using System.Text;

using KetLabs.FTP;

namespace FtpCommandLineCS
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("---------------------------------------------");
            Console.WriteLine("\nKetLabs FTPClient.NET console demo application.");
            Console.WriteLine("---------------------------------------------");

            Console.WriteLine("> Upload a file");
            UploadFile.Demo();

            Console.WriteLine("> Download remote file");
            DownloadFile.Demo();

            Console.WriteLine("> Rename remote file");
            RenameFile.Demo();

            Console.WriteLine("> List the contents of the current remote directory");
            ListCurrentDirectory.Demo();

            Console.WriteLine("> Delete remote file");
            DeleteFile.Demo();

            Console.WriteLine("> Create a remote directory");
            CreateDirectory.Demo();

            Console.WriteLine("> List the contents of the created remote directory");
            ListDirectory.Demo();

            Console.WriteLine("> Change the current remote directory");
            ChangeDirectory.Demo();

            Console.WriteLine("> Print the current remote directory");
            CurrentDirectory.Demo();

            Console.WriteLine("> Change the current remote directory one level up");
            ChangeDirectoryUp.Demo();

            Console.WriteLine("> Delete a remote directory");
            DeleteDirectory.Demo();

            Console.WriteLine("---------------------------------------------");
            Console.WriteLine("\nKetLabs FTPClient.NET console demo end.");
            Console.WriteLine("---------------------------------------------");
            Console.WriteLine("Press <ENTER> to exit.");
            Console.ReadLine();

        }
    }
}
