/*
 * Copyright 2010 KetLabs Ltd. All Rights Reserved.
 * KetLabs PROPRIETARY/CONFIDENTIAL. 
 *  */
using System;
using KetLabs.FTP;

namespace FtpCommandLineCS
{
    /// <summary>
    /// This example demonstrates how to upload a local file to the current remote folder
    /// </summary>
    class UploadFile
    {
        public static void Demo()
        {
            FtpClient ftp = new FtpClient();
            ftp.Username = Helper.USERNAME;
            ftp.Password = Helper.PASSWORD;
            ftp.Connect(Helper.HOST);

            ftp.Upload(@"LocalFiles\test.txt", "test.txt");

            ftp.Disconnect();
        }
    }
}
