/*
 * Copyright 2010 KetLabs Ltd. All Rights Reserved.
 * KetLabs PROPRIETARY/CONFIDENTIAL. 
 *  */
using System;
using KetLabs.FTP;

namespace FtpCommandLineCS
{
    /// <summary>
    /// This example shows how to get the current remote directory
    /// </summary>
    class CurrentDirectory
    {
        public static void Demo()
        {
            FtpClient ftp = new FtpClient();
            ftp.Username = Helper.USERNAME;
            ftp.Password = Helper.PASSWORD;
            ftp.Connect(Helper.HOST);

            ftp.ChangeDirectory("remote_dir");

            // get the current directory
            string remoteDirectory = ftp.CurrentDirectory;
            Console.WriteLine(remoteDirectory);

            ftp.Disconnect();
        }
    }
}
