/*
 * Copyright 2010 KetLabs Ltd. All Rights Reserved.
 * KetLabs PROPRIETARY/CONFIDENTIAL. 
 *  */
using System;

using KetLabs.FTP;

namespace FtpCommandLineCS
{
    /// <summary>
    /// This example demonstrates how to delete a remote directory.
    /// </summary>
    class DeleteDirectory
    {
        public static void Demo()
        {
            FtpClient ftp = new FtpClient();
            ftp.Username = Helper.USERNAME;
            ftp.Password = Helper.PASSWORD;
            ftp.Connect(Helper.HOST);

            // if the directory is not empty and recursive = false a WebException is thrown
            bool recursive = true;
            ftp.DeleteDirectory("remote_dir", recursive);

            ftp.Disconnect();
        }
    }
}
