/*
 * Copyright 2010 KetLabs Ltd. All Rights Reserved.
 * KetLabs PROPRIETARY/CONFIDENTIAL. 
 *  */
using System;

using KetLabs.FTP;

namespace FtpCommandLineCS
{
    /// <summary>
    /// This example shows how to get the size in bytes of a remote file
    /// </summary>
    class FileSize
    {
        public static void Demo()
        {
            FtpClient ftp = new FtpClient();
            ftp.Username = Helper.USERNAME;
            ftp.Password = Helper.PASSWORD;
            ftp.Connect(Helper.HOST);

            long sizeInBytes = ftp.FileSize("test.txt");
            if (sizeInBytes > -1) 
            {
                Console.WriteLine("File size in bytes: " + sizeInBytes);
            } else {
                Console.WriteLine("The specified file does not exist.");
            }

            ftp.Disconnect();
        }
    }
}
